
#include <opencv2/opencv.hpp>
#include <iostream>


int main(int, char**)
{
    cv::VideoCapture cap(0); // open the default camera
                             // (for a second camera: index 1, etc)

    if(!cap.isOpened())      // check if we succeeded
    {
        std::cerr<<"Failed to open Camera"<<std::endl;
        return 1;
    }

    while(true)
    {
        cv::Mat frame;       // an OpenCV Image class
        cap >> frame;        // read an image from the webcam

        cv::imshow("frame", frame);   //show the frame in a window

        if(cv::waitKey(30) >= 0)      //Escape enables to quit the program
            break;
    }

    return 0;
}
